package com.ruoyi.common.core.redis.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author wjh
 * 2024/3/29
 */
@Getter
@AllArgsConstructor
public enum RedisLockKey {

    PREPAY("prepay", "微信预付单"),
    ADD_WITHDRAW("addWithdraw", "提现申请"),
    APPROVAL_WITHDRAW("approvalWithdraw", "提现审核"),
    PAY_WITHDRAW("payWithdraw", "提现打款"),
    PAY_NOTIFY("payNotify", "支付通知"),
    APPLY_ACCESS("apply_access", "申请秘钥"),
    RECHARGE_DEVICE("recharge_device", "设备充值"),
    ADD_DEVICE("add_device", "创建设备"),
    ADD_TIME_BILL("add_time_bill", "创建时长订单"),
    PAY_BILL("pay_bill", "支付订单"),
    PREPAY_DEPOSIT("prepay_deposit", "支付押金"),
    ADD_RECHARGE_ORDER("add_recharge_order", "创建充值订单"),
    PAY_BILL_SUCCESS("pay_bill_success", "支付订单成功处理"),
    RECOVER_DEVICE_BALANCE("recover_device_balance", "恢复设备余额"),
    ADD_USER_WX_OPEN_ID("add_user_wx_open_id", "微信注册用户"),
    ADD_USER_MOBILE("add_user_mobile", "手机号注册用户"),
    SUBMIT_RISK_INFO("submit_risk_info", "提交风控材料");


    private final String key;
    private final String name;


}
